import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import org.lekan.graphics.GraphicsProgram;


/**
 * Here's an intro/review to using Java, and an intro to using the SGGraphics package.
 * 
 * Your task: build a simple drawing program that does, at the minimum, the following:
 *  (1) Buttons that lets you choose whether to draw an ellipse, a rectangle, a line, a rounded rectangle, or a quadratic curve
 *  (2) When the program first starts, the main canvas should display a nice welcoming message and/or graphics.
 *  (3) As soon as the user starts drawing, this welcome message should disappear
 *  (4) To draw, click and drag the mouse. The shape should display as you are dragging.
 *  (5) When released, the shape will stay on the screen.
 *  (6) A clear button will clear everything on the screen.
 * 
 * @author Andy Kakkaramadam. One bug exists, which is that only one figure can be displayed at a time.
 *
 */
public class EPGYDraw extends GraphicsProgram {
	private int x1;
	private int y1;
	private int x2;
	private int y2;
	public int currdrawing = 0;
	private String desire;
	public boolean firsttime = true;
	private final int LINE_CONST = 2;
	private final int RECT_CONST = 1;
	private final int QUAD_CONST = 3;
	private final int ROUNDRECT_CONST = 4;
	private final int ELLIPSE_CONST = 5;
	public static void main(String[] args) {
		new EPGYDraw();
		
	}
	
	public void mouseReleased(MouseEvent e)
	{
//		drawRR = false;
//		drawR = false;
//		drawL = false;
//		drawE = false;
	}
	/**
	 * Put any setup code here!
	 * @param Color 
	 */
	public void setup() {
		this.getFrame().setTitle("EPGYDraw!");
		this.addButton("Rectangle", BorderLayout.NORTH);
		this.addButton("Line", BorderLayout.NORTH);
		this.addButton("Quadratic Curve",BorderLayout.NORTH);
		this.addButton("Rounded Rectangle", BorderLayout.NORTH);
		this.addButton("Ellipse", BorderLayout.NORTH);
		this.addButton("Clear", BorderLayout.SOUTH);
	}
	
	/**
	 * Put your program run code here! Most of your code should be in here.
	 */
	@Override
	public void run() {
		// TODO: The main run of the program!
		this.getFrame().setTitle("EPGYDraw!");
		this.getFrame().drawText("Welcome!", 10, 40);
	}
	
	public void actionPerformed(ActionEvent e)
	{
		super.actionPerformed(e);
		desire = e.getActionCommand();
		if(desire.equals("Rectangle"))
			currdrawing = RECT_CONST;
		if (desire.equals("Line"))
			currdrawing = LINE_CONST;
		if(desire.equals("Rounded Rectangle"))
			currdrawing = ROUNDRECT_CONST;
		if(desire.equals("Quadratic Curve"))
			currdrawing = QUAD_CONST;
		if(desire.equals("Ellipse"))
			currdrawing = ELLIPSE_CONST;
		if(desire.equals("Clear"))
			this.getFrame().clearGraphics();
		
	}
	
	public void mousePressed(MouseEvent e)
	{
		if (firsttime)
		{
			this.getFrame().clearGraphics();
			firsttime = false;
		}
		x1 = e.getX();
		y1 = e.getY();
	}
	
	public void mouseDragged(MouseEvent e)
	{
		x2 = e.getX();
		y2 = e.getY();
		this.getFrame().clearGraphics();
		switch(currdrawing)
		{
			case ROUNDRECT_CONST:this.getFrame().drawRoundedRect(Math.min(x1, x2),Math.min(y1, y2),Math.abs(x2-x1), Math.abs(y2-y1)); break;
			case LINE_CONST: this.getFrame().drawLine(Math.min(x1,x2), Math.min(y1,y2), Math.max(x1,x2), Math.max(y1, y2)); break;
			case RECT_CONST: this.getFrame().drawRect(Math.min(x1, x2),Math.min(y1, y2),Math.abs(x2-x1), Math.abs(y2-y1)); break;
			case QUAD_CONST: this.getFrame().drawQuadCurve(x1, y1, x1 + x2, y1 + y2, x2, y2); break;
			case ELLIPSE_CONST: this.getFrame().drawEllipse(Math.min(x1,x2), Math.min(y1,y2), Math.abs(x1 - x2), Math.abs(y1 -y2));
		}
	}
	
}
